=== debian/changelog ===
alsa-driver-cclub (1.0.5a-3+002) unstable; urgency=low

  * Changed alsa-driver.tar.bz2 => alsa-driver-cclub.tar.bz2

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 14:13:56 -0400

alsa-driver-cclub (1.0.5a-3+001) unstable; urgency=low

  * Initial release.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 27 Sep 2004 13:16:01 -0400

alsa-driver (1.0.5a-3) unstable; urgency=low

  * Steve Kowalik:
    - Don't kill processes if force_stop_modules_before_suspend is true
      in /etc/default/alsa. (Closes: #266272, #266740, #267257)
    - Reference the correct file in NEWS.Debian. (Closes: #267099)
    - Replace 'a option' with 'an option' in alsa-source.templates, and 
      re-run debconf-updatepo. (Closes: #266171)

 -- Steve Kowalik <stevenk@debian.org>  Mon, 23 Aug 2004 21:42:41 +1000

alsa-driver (1.0.5a-2) unstable; urgency=medium

  * Steve Kowalik:
    - Remove XSIims in alsa-base's init script. (Closes: #254622)
      (thanks, Clint Adams)
    - Heaven forbid that we actually remove features from the package, so
      reimplement force-stop in the init script, and tell the apm script
      to run force-stop on suspend. Getting modules to load on resume is
      left as an exercise for the user. (Closes: #249541, #253980)
    - Alias force-reload to force-stop. (Closes: #264226)
    - Add audio module to our hotplug blacklist. (Closes: #257635)
    - Automatically load OSS compat modules for sequencers and mixers.
      (Closes: #246570, #258543)
    - 1.0.5a sets CONFIG_SND_CS46XX_NEW_DSP=y. (Closes: #249505)
    - update-modules may spit out warning messages that confuse debconf.
      Redirect stdout to /dev/null when calling update-modules in alsa-base's
      postrm. (Closes: #261853)
    - Fix up now erroneous points from alsa-base's README.Debian.
      (Closes: #248881)
    - Update Dutch Debconf translation. (Closes: #260293) (thanks, cobaco)
    - Update Brazilian Portuguese translation. (Closes: #262601)
      (thanks, Andre Luis Lopes)
  * Unreleased, and stuff.
  
 -- Steve Kowalik <stevenk@debian.org>  Sun, 15 Aug 2004 12:10:09 +1000

alsa-driver (1.0.5a-1) unstable; urgency=low

  * New upstream release.
  * Steve Kowalik:
    - fuser may exit non-zero. Fix the apm event script. (Closes: #247109)
    - Update the Czech debconf translation. (Closes: #251678)
  * Jordi Mallach:
    - debian/po/da.po: Add Danish translation (thanks, Michael Kristensen;
      closes: #253347).

 -- David B. Harris <dbharris@debian.org>  Wed,  9 Jun 2004 19:37:25 -0400

alsa-driver (1.0.4-3) unstable; urgency=low

  * Steve Kowalik:
    - Oops. Only move files in alsa-base's postinst if $filename contains
      something. (Closes: #246064)
    - Run update-modules in the postinst for alsa-base. (Closes: #246311)
    - Debconf translations:
      + Add Turkish. (Closes: #246069) (thanks, Recai Oktas)
      + Update Japanese. (Closes: #246438) (thanks, Kenshi Muto)
      + Update French. (Closes: #246791) (thanks, Christian Perrier)
  * Jordi Mallach:
    - debian/po/ca.po: Update Catalan translation.
  * David B. Harris:
    - debian/alsa-base.init: Put /usr/local/{sbin,bin} ahead of the
      system-wide versions in $PATH. Thanks to Tollef for noticing this.

 -- Steve Kowalik <stevenk@debian.org>  Sun,  2 May 2004 20:47:19 +1000

alsa-driver (1.0.4-2) unstable; urgency=low

  * Steve Kowalik:
    - Actually do some work on this package!
    - Check for the presence of either devfs or udev before creating device 
      nodes in alsa-base's postinst. (Closes: #243876)
    - Rewrite the init script to not load modules. Loading modules is now 
      the responsibility of the user, or hotplug.
      (Closes: #195516, #203491, #210440, #232380, #237003, #237452, #240594)
      (Closes: #244068, #245783)
    - Stop alsa-base depending on lsof and procps.
    - Change the description for alsa-base to no longer mention module
      loading.
    - Rewrite the debconf-age for alsa-base:
      + Stop asking which modules to load. (Closes: #199739, #218655)
      + Only ask one question about saving mixer settings, in the style of
        setserial.
      + This means we can stop doing vile things to the debconf templates in
        debian/rules.
      + This also means that alsa can restore on bootup, and not save on
        shutdown. (Closes: #191501, #232854)
    - Remove the files under /etc/alsa/modutils, and the symlinks
      into /etc/modprobe.d and /etc/modutils.
    - Provide an alsa-base file under /etc/modprobe.d and /etc/modutils 
      which will load the OSS compatibility modules.
      (Closes: #229486, #240594)
    - Blacklist (for hotplug) and skip (for discover) the OSS sound modules.
      Note that we can include the blacklist automatically for hotplug, but
      discover doesn't contain the infrastructure for that, so the file for 
      discover is in /usr/share/doc/alsa-base.
      (Closes: #238278, #238694, #240125, #242720)
    - Due to the fact that the init script no longer touches modules, this
      script has been gutted to a shadow of its former self. (Closes: #238994)
    - Stop using install -d so liberally in debian/rules.
    - Rename debian/po/no.po to debian/po/nb.po.
    - Correct typo in debian/po/fr.po. (Closes: #245031) (thanks,
      Pierre Machard)
    - Remove debian/alsa-path, I can't see anything at all that references it.

 -- Steve Kowalik <stevenk@debian.org>  Mon, 26 Apr 2004 15:27:55 +1000

alsa-driver (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/po/cs.po: new Czech translation of debconf templates
      (thanks Miroslav Kure <kurem@upcase.inf.upol.cz>; closes: #235644).
    - debian/alsa-modules.postinst: apply patch from Jamin W. Collins to
      avoid unresolved symbols when calling depmod on alsa-modules's
      postinsts (closes: #236543).
    - debian/control: change Maintainer name to "Debian ALSA Maintainers".
    - debian/alsa-base.apm: apply suggestions from Marius Gedminas to

