=== debian/control ===
Source: alsa-driver-cclub
Section: sound
Priority: optional
Maintainer: Mike Kasick <mkasick@club.cc.cmu.edu>
Uploaders: Jordi Mallach <jordi@debian.org>, Steve Kowalik <stevenk@debian.org>, David B. Harris <dbharris@debian.org>
Build-Depends-Indep: debhelper (>= 4.1.17), bzip2, cpio, po-debconf, dpatch (>= 1.11)
Standards-Version: 3.6.1

Package: alsa-base
Architecture: all
Replaces: alsa-modules, alsa-base-0.4
Depends: psmisc, modutils (>= 2.3.5-1) | module-init-tools, debconf, alsa-utils (>= 1.0.2-2), debianutils (>= 1.6)
Suggests: apmd (>= 3.0.2-1)
Conflicts: alsa-base-0.4, alsa-modules, modutils (= 2.3.20-1), alsaconf (<< 0.4.3b-4), lsof-2.2 (<< 4.64)
Provides: alsa
Description: ALSA sound driver common files
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite.
 .
 These are the common files to be used on ALSA such as the scripts used
 to load and unload the modules at boot time. In addition, this package
 is for mutex control between several ALSA versions.

Package: alsa-source-cclub
Architecture: all
Depends: debconf (>= 0.2.26), make, gcc | c-compiler, debhelper (>= 4.0.0), debconf-utils, bzip2
Recommends: dpkg-dev, kernel-package-cclub
Suggests: devscripts
Description: ALSA sound driver source
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite. 
 .
 This is the source code for the ALSA drivers.  Please note that the
 kernel sources or headers must be installed to compile these modules.
Conflicts: alsa-source
Replaces: alsa-source
Provides: alsa-source

Package: alsa-headers
Architecture: all
Conflicts: alsa-headers-0.4, alsa-headers-0.5, alsa-headers-unstable
Replaces: alsa-headers-0.4, alsa-headers-0.5, alsa-headers-unstable
Description: ALSA sound driver header files
 ALSA is an effort to create a modular sound system for Linux,
 while maintaining full compatibility with OSS/Lite.
 .
 These are the necessary header files to develop interface libraries
 between the kernel and user space.
