=== debian/watch ===
ftp://ftp.alsa-project.org	/pub/driver/	alsa-driver-(.*).tar.bz2	uupdate
